Subject: Re: bug#75746: 31.0.50; Can't get password promote from plink 0.82

From: Michael Albinus <[email-masked]>
Date: Fri, 14 Feb 2025 15:07:11 +0100

Eli Zaretskii <[email-masked]> writes:

Hi,

>> This was a deliberate behaviour change in 0.82, described in the
>> following link, which also describes how to restore the old behaviour.
>> https://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/windows-stdio-prompts.html
>> --8<---------------cut here---------------end--------------->8---
>>
>> The proposed option works as expected.
>
> Thanks.
>
> I'm not sure I understand the description of the new behavior: it says
> "(If there's no console involved, they'll fall back to the old
> behaviour.)", but in our case, i.e. invoking PuTTY from Emacs on
> Windows, there really isn't any console, since Emacs communicates with
> PuTTY via a pipe.  Or am I missing something?

Tramp opens a new local process, running cmdproxy. In its process
buffer, it calls plink. So it might look like a console from the PuTTY
POV.

Best regards, Michael.